Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Interface QualificationDiscountDef

All Superinterfaces
  Comparable, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface QualificationDiscountDef

extends Serializable, Comparable

This interface defines the public interface of an immutable discount definition object. Discount definition objects are the run time representation of a discount. Discount are defined in XML discount set definitions. The `QualDiscountDefFactory` is used to create instance of discount definition objects from the discount set definition

Field Summary
`static String` | `ITEM_DISCOUNT_TYPE` Deprecated See BEA Commerce product offering
`static String` | `ORDER_DISCOUNT_TYPE` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `equals(Object obj)` Deprecated See BEA Commerce product offering
`int` | `getAllowedUses()` Deprecated See BEA Commerce product offering
`String` | `getDescription()` Deprecated See BEA Commerce product offering
`Date` | `getEndDate()` Deprecated See BEA Commerce product offering
`String` | `getGlobalDescription()` Deprecated See BEA Commerce product offering
`QualificationDiscountId` | `getId()` Deprecated See BEA Commerce product offering
`DiscountModifier` | `getModifier()` Deprecated See BEA Commerce product offering
`String` | `getName()` Deprecated See BEA Commerce product offering
`int` | `getPriority()` Deprecated See BEA Commerce product offering
`DiscountRule` | `getRule()` Deprecated See BEA Commerce product offering
`String` | `getSetName()` Deprecated As of version 4.0, this method now throws an `UnsupportedOperationException`.
`Date` | `getStartDate()` Deprecated See BEA Commerce product offering
`String` | `getType()` Deprecated See BEA Commerce product offering
`int` | `hashCode()` Deprecated See BEA Commerce product offering
`boolean` | `isActive()` Deprecated See BEA Commerce product offering
`boolean` | `isGlobal()` Deprecated See BEA Commerce product offering
`void` | `setId(QualificationDiscountId newId)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### ITEM_DISCOUNT_TYPE

    static final String ITEM_DISCOUNT_TYPE

  Deprecated See BEA Commerce product offering
  Defines the item discount type

  See Also
    Constants Summary

### ORDER_DISCOUNT_TYPE

    static final String ORDER_DISCOUNT_TYPE

  Deprecated See BEA Commerce product offering
  Defines the order discount type

  See Also
    Constants Summary

Method Detail

### getId

    QualificationDiscountId getId()

  Deprecated See BEA Commerce product offering

  Get the `QualificationDiscountId` (unique identifier) associated with this definition

  Returns
    this discounts id (`QualificationDiscountId`)

### setId

    void setId(QualificationDiscountId newId)

  Deprecated See BEA Commerce product offering

### getPriority

    int getPriority()

  Deprecated See BEA Commerce product offering

  Gets the priority associated with this definition

  Returns
    this discount's priority

### isGlobal

    boolean isGlobal()

  Deprecated See BEA Commerce product offering

  Gets this discount's global flag

  Returns
    ture if this is a global discount, flase otherwise

### getName

    String getName()

  Deprecated See BEA Commerce product offering

  Gets this discounts name, discount names are only unique within a given discount set

  Returns
    this discount's name
  See Also
    `getSetName()`

### getType

    String getType()

  Deprecated See BEA Commerce product offering

  Gets the type of this discount, should be one of the discount type constants defined by this interface

  Returns
    this discount's type

### getAllowedUses

    int getAllowedUses()

  Deprecated See BEA Commerce product offering

  Gets the value of the 'number of uses allowed' parameter for this discount. This is the number of orders the discount may be applied to for a given user. The value must be positive.

  Returns
    the number of uses allowed

### getModifier

    DiscountModifier getModifier()

  Deprecated See BEA Commerce product offering

  Gets the `DiscountModifier` associated with this discount

  Returns
    the `DiscountModifier` associated with this discount
  See Also
    `DiscountModifier`

### getRule

    DiscountRule getRule()

  Deprecated See BEA Commerce product offering

  Gets the `DiscountRule` associated with this discount

  Returns
    the `DiscountRule` associated with this discount
  See Also
    `DiscountRule`

### getEndDate

    Date getEndDate()

  Deprecated See BEA Commerce product offering

  Gets the discount definition's expiration date

  Returns
    a Date, the discount's expiration date

### getStartDate

    Date getStartDate()

  Deprecated See BEA Commerce product offering

  Gets the discount definition's begin date

  Returns
    a Date, the discount's begin date

### isActive

    boolean isActive()

  Deprecated See BEA Commerce product offering

  Gets this discount's active flag

  Returns
    true if the discount is active, false otherwise

### getDescription

    String getDescription()

  Deprecated See BEA Commerce product offering

  Gets this discount's description

  Returns
    this discount's description

### getGlobalDescription

    String getGlobalDescription()

  Deprecated See BEA Commerce product offering

  Gets this discount's global description

  Returns
    this discount's global description

### getSetName

    String getSetName()

  Deprecated As of version 4.0, this method now throws an `UnsupportedOperationException`.

  Gets the name of the discount set this discount was defined in

  Returns
    this discount's set name
  Throws
    `UnsupportedOperationException`

### equals

    boolean equals(Object obj)

  Deprecated See BEA Commerce product offering

  Tests if two discounts are the same

  Overrides:
    `equals` in class `Object`
  Parameters
    `obj` - the `QualificationDiscountDef` to compare this one against
  Returns
    true if the passed `QualificationDiscountDef` is the same as this one

### hashCode

    int hashCode()

  Deprecated See BEA Commerce product offering

  A unique code for this discount

  Overrides:
    `hashCode` in class `Object`
  Returns
    the hashCode for this discount

### toString

    String toString()

  Deprecated See BEA Commerce product offering

  Gets a `String`representation of this discount

  ``
  Overrides:
    `toString` in class `Object`
  Returns
    a `String`representation of this discount``

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved